spec:
  inputs:
    sonarStage:
      description: Sonar Cloud stage
      default: 'test'
    sonarUserHome:
      description: SONAR USER HOME            # Defines the location of the analysis task cache
      default: '${CI_PROJECT_DIR}/.sonar'     
    gitDepth:
      description: GIT DEPTH                  # Tells git to fetch all the branches of the project, required by the analysis task
      default: '0'
    sonarToken:
      description: SONAR TOKEN                # It is unic per project
      default: '7e753f15e0e8887d11c25f82050946d05a23724f'
    sonarHostUrl:
      description: SONAR HOST URL
      default: 'https://sonarcloud.io'
   

---

variables:
  SONAR_USER_HOME: $[[ inputs.sonarUserHome ]]
  GIT_DEPTH: $[[ inputs.gitDepth ]]
  SONAR_TOKEN: $[[ inputs.sonarToken ]]
  SONAR_HOST_URL: $[[ inputs.sonarHostUrl ]]


sonarcloud-check:
  stage: $[[ inputs.sonarStage ]]
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      when: never
    - when: on_success
  image:
    name: sonarsource/sonar-scanner-cli:10.0
    entrypoint: [""]
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script: 
    - mkdir -p ".sonar/cache/alex"
    - chmod -R 777 ".sonar/cache/alex"
    - echo "**************** Alex ok **********************"
    - mkdir -p "${CI_PROJECT_DIR}/.sonar/cache/_tmp"
    - chmod -R 777 "${CI_PROJECT_DIR}/.sonar/cache/_tmp"
    - sonar-scanner
  needs:
    job: test
  allow_failure: true
